galois.h File Reference

Definitions of Galois Field algebra classes and functions. More...

`#include <itpp/base/vec.h>`
`#include <itpp/base/array.h>`
`#include <itpp/base/binary.h>`
`#include <itpp/base/converters.h>`
`#include <itpp/itexports.h>`
`#include <itpp/base/base_exports.h>`

Go to the source code of this file.

## Classes

class | itpp::GF
| Galois Field GF(q). More...
class | itpp::GFX
| Polynomials over GF(q)[x], where q=2^m, m=1,...,16. More...

## Namespaces

| itpp
| itpp namespace

## Functions

ITPP_EXPORT GFX | itpp::operator* (const GF &ingf, const GFX &ingfx)
| Multiplication of GF and GFX. More...
ITPP_EXPORT GFX | itpp::operator* (const GFX &ingfx, const GF &ingf)
| Multiplication of GFX and GF. More...
ITPP_EXPORT GFX | itpp::operator/ (const GFX &ingfx, const GF &ingf)
| Division of GFX by GF. More...
std::ostream & | itpp::operator<< (std::ostream &os, const GFX &ingfx)
| Output stream operator for GFX. More...

## Detailed Description

Definitions of Galois Field algebra classes and functions.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file galois.h.

Generated on Thu Mar 20 2014 12:26:44 for IT++ by Doxygen 1.8.6